typedef struct SAentry {
    FILE	*file;
    char	fname[MAXFILENAME];
    const char	*ip;
    const char	*name;
    const char	*vname;
    double	Bytes;
    int		count;
    int		TTcount[TTNUMBER];
} SAentry;

typedef struct SAuconv {
    char	*iname;
    char	*ename;
} SAuconv;


extern struct SAentry *Users;
extern char rurl[MAXLEN];


extern int compSAentry(const struct SAentry *el1, const struct SAentry *el2);
extern int rcompSAentryB(const struct SAentry *el1, const struct SAentry *el2);
extern int compSAuconv(const struct SAuconv *el1, const struct SAuconv *el2);
extern struct SAentry *SAentryByName(const char *sname);
extern const char *LimitedURL(const char *lurl);
extern char *ShortBytes(double din);
extern char *GetDT(time_t idt, const char *fmt);
extern char *GetD(struct tm *itm, const char *fmt);
extern time_t GetDZT(const char *idate);
extern void ComputePeriod(time_t rsdate, time_t redate);
extern void Indics(FILE *iFile, short int iIndic);
extern void IndicsByIndex(FILE *iFile, int i);
